hwloc_obj_attr_u::hwloc_numanode_attr_s Struct Reference

`#include <hwloc.h>`

## Data Structures

struct | hwloc_memory_page_type_s

## Data Fields

hwloc_uint64_t | local_memory
unsigned | page_types_len
struct hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s * | page_types

## Detailed Description

NUMA node-specific Object Attributes.

## Field Documentation

## local_memory

hwloc_uint64_t hwloc_obj_attr_u::hwloc_numanode_attr_s::local_memory

Local memory (in bytes)

## page_types

struct hwloc_obj_attr_u::hwloc_numanode_attr_s::hwloc_memory_page_type_s * hwloc_obj_attr_u::hwloc_numanode_attr_s::page_types

## page_types_len

unsigned hwloc_obj_attr_u::hwloc_numanode_attr_s::page_types_len

Size of array `page_types`.

The documentation for this struct was generated from the following file:

- hwloc.h